package gov.va.med.esr.ui.admin.action;


import java.util.Date;
import java.util.List;


import gov.va.med.fw.ui.struts.AbstractForm;

public class HandBookBatchFileProcessForm extends AbstractForm {

    /**
	 * 
	 */
	
	private static final long serialVersionUID = 2863301786310782839L;   
    
    private List hbfDateList = null;
    private String selectedDate;
    private Date minJobStartDate = null;  // earlist job start date for all handbook batch file process batch jobs in a given date.
    private Date maxJobEndDate = null; // latest job end date for all handbook batch file process batch jobs in a given date.
    private String focusButton;
       
     
    public String getFocusButton() {
		return focusButton;
	}


	public void setFocusButton(String focusButton) {
		this.focusButton = focusButton;
	}


	public String getSelectedDate() {
		return selectedDate;
	}


	public void setSelectedDate(String selectedDate) {
		this.selectedDate = selectedDate;
	}


	public List getHbfDateList() {
		return hbfDateList;
	}


	public void setHbfDateList(List hbfDateList) {
		this.hbfDateList = hbfDateList;
	}


	public Date getMaxJobEndDate() {
		return maxJobEndDate;
	}


	public void setMaxJobEndDate(Date maxJobEndDate) {
		this.maxJobEndDate = maxJobEndDate;
	}


	public Date getMinJobStartDate() {
		return minJobStartDate;
	}


	public void setMinJobStartDate(Date minJobStartDate) {
		this.minJobStartDate = minJobStartDate;
	}


	
   


 }
